Subject: [Idr] disposition of draft-decraene-idr-next-hop-capability

From: "John G. Scudder" <[email-masked]>
Date: Thu, 23 Jul 2015 16:21:30 +0200

TL;DR: BGP infrastructure should be standardized in IDR, not in MPLS.

Long form:

Since Loa asked for this on the list...

I generally agree that, assuming draft-decraene-idr-next-hop-capability is progressed [*] it should be done in IDR. As someone else said at the mic in the MPLS meeting just now, the reason is that the draft defines a generic container, one application of which is Entropy Label, but whose future uses are by no means limited to MPLS applications. The options would seem to be:

1. Progress in IDR, with input from and joint last call with MPLS owing to the EL part,
2. Progress in MPLS, with input from and joint last call with IDR owing to the generic container part,
3. Split into a base document defining the container, to be progressed in IDR, and an application document that specs EL using the container, to be progressed in MPLS.

Of these, I prefer 1 or 3. I prefer 1 over 2 because (as the speaker at the mic said) the IDR questions and applicability seem broader than the MPLS ones, in this case. 3 is probably a more formally proper decomposition, but requires something like 2x the administrative overhead. I am OK with that if either or both WGs prefer it that way, and if the authors are willing to split it into two documents and progress both. 

HTH,

--John

[*] (which speaking with no WG chair hats on I think it should be)